/**
* This file is part of the XVM project.
*
* Copyright (c) 2017-2021 XVM contributors.
*
* This file is free software: you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation, version 3.
*
* This file is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

#include "xfwnative_autogen_signature.h"

const int Functions_Count = <<FUNCTIONS_COUNT>>;
const int Structures_Count = <<STRUCTURES_COUNT>>;

char* Functions_Names[<<FUNCTIONS_COUNT>>] = {
<<FUNCTIONS_INITIALIZE_NAMES>>
};

DWORD Functions_SignatureCount[<<FUNCTIONS_COUNT>>] = {
<<FUNCTIONS_INITIALIZE_SIGNATURE_COUNT>>
};

char* Functions_SignatureData[<<FUNCTIONS_COUNT>>][<<FUNCTIONS_SIGNATURES_MAXCOUNT>>] = {
<<FUNCTIONS_INITIALIZE_SIGNATURE_DATA>>
};

char* Functions_SignatureMask[<<FUNCTIONS_COUNT>>][<<FUNCTIONS_SIGNATURES_MAXCOUNT>>] = {
<<FUNCTIONS_INITIALIZE_SIGNATURE_MASK>>
};

/******/

char* Structures_Names[<<STRUCTURES_COUNT>>] = {
<<STRUCTURES_INITIALIZE_NAMES>>
};

DWORD Structures_SignatureCount[<<STRUCTURES_COUNT>>] = {
<<STRUCTURES_INITIALIZE_SIGNATURE_COUNT>>
};

DWORD Structures_SignatureFunctionIndex[<<STRUCTURES_COUNT>>][<<STRUCTURES_SIGNATURES_MAXCOUNT>>] = {
<<STRUCTURES_INITIALIZE_SIGNATURE_FUNCTIONINDEX>>
};

DWORD Structures_SignatureOffset[<<STRUCTURES_COUNT>>][<<STRUCTURES_SIGNATURES_MAXCOUNT>>] = {
<<STRUCTURES_INITIALIZE_SIGNATURE_OFFSET>>
};

char* Structures_SignatureValidationPrefixData[<<STRUCTURES_COUNT>>][<<STRUCTURES_SIGNATURES_MAXCOUNT>>] = {
<<STRUCTURES_INITIALIZE_SIGNATURE_CHECKDATA>>
};

char* Structures_SignatureValidationPrefixMask[<<STRUCTURES_COUNT>>][<<STRUCTURES_SIGNATURES_MAXCOUNT>>] = {
<<STRUCTURES_INITIALIZE_SIGNATURE_CHECKMASK>>
};

